#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  libkdcraw-21.12.2

- Next

  libkcddb-21.12.2

- Up
- Home

# Gwenview-21.12.2

## Introduction to Gwenview

Gwenview is a fast and easy-to-use image viewer for KDE.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/gwenview-21.12.2.tar.xz

- Download MD5 sum: be8ac9bb997b9aa8e81577524cc7f1e0

- Download size: 6.5 MB

- Estimated disk space required: 45 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### Gwenview Dependencies

#### Required

Exiv2-0.27.5, KDE Frameworks-5.91.0, and Little CMS-2.13.1

#### Recommended

libkdcraw-21.12.2

#### Optional

KF5Kipi

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gwenview

## Installation of Gwenview

Install Gwenview by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: gwenview and gwenview_importer
Installed Libraries: libgwenviewlib.so and gvpart.so
Installed Directories: $KF5_PREFIX/share/{kxmlgui5/gvpart,gwenview,doc/HTML/*/gwenview}

### Short Descriptions

gwenview | is the KDE image viewer
gwenview_importer | is a Photo importer

Last updated on

- Prev

  libkdcraw-21.12.2

- Next

  libkcddb-21.12.2

- Up
- Home